RedBoot User's Guide
Prev |  | Next

# fis free

## Name

fis free -- Free flash image

## Synopsis

fis free

## Description

This command shows which areas of the flash memory are currently not in use. When a block contains non-erased contents it is considered in use. Since it is possible to force an image to be loaded at a particular flash location, this command can be used to check whether that location is in use by any other image.

> Note: There is currently no cross-checking between actual flash contents and the FIS directory, which mans that there could be a segment of flash which is not erased that does not correspond to a named image, or vice-versa.

## Examples

Show free flash areas.

    RedBoot> fis free
            0xA0040000 .. 0xA07C0000
            0xA0840000 .. 0xA0FC0000

Prev | Home | Next
fis list | Up | fis create